#!/usr/bin/perl -w
push @SPECHOOKS, sub {
    ## $spec is RPM::Source::Editor object.
    ## $sec(tion) is RPM::Source::SpecSection object.
    my ($spec, $pkgname) = @_;
    # ------------- autoreconf fix ---------------
    my $sec=$spec->get_section('build');
    if ($sec) {
	$sec->subst(qr'%{__autoreconf}','%{autoreconf}');
	$sec->subst(qr'%__autoreconf','%autoreconf');
    } else {
	print STDERR "Oops! build section not found!\n";
    }
    # ----------- end autoreconf fix -------------
    # ------------- apache2 fix ---------------
    if ($spec->get_section('package')->match(qr'Requires: apache2')) {
	open TABLE1,'<','/usr/share/repocop/srctests/spec-has-obsolete-macroses/table-apache2.txt' || die "table-apache2.txt not found!";
	for ( <TABLE1> ) {
	    next if /^#/ || /^\s*$/; # comments and spaces
	    next unless /^(\S+)\s+(\S+)\s*$/;
	    my $from = $1;
	    my $to = $2;
	    foreach my $section ($spec->get_sections()) {
		next if $section->get_type() eq 'changelog';
		$section->subst(qr/$from/,$to);
	    }
	}
    }
    # ------------- end apache2 fix ---------------
};
1;
